Advanced Search

The Advanced Search API provides a sophisticated and powerful way to query the Fintel SEC database. This API is simply a thin layer over the ElasticSearch query.

Ref: https://www.elastic.co/guide/en/elasticsearch/reference/current/query-dsl-query-string-query.html

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
string
required

Query string you wish to parse and use for search

string

Default field you wish to search if no field is provided in the query string.

boolean

If true, the wildcard characters * and ? are allowed as the first character of the query string. Defaults to true

string

If true, the query attempts to analyze wildcard terms in the query string. Defaults to false.

string

Analyzer used to convert text in the query string into tokens. Defaults to the index-time analyzer mapped for the default_field. If no analyzer is mapped, the index’s default analyzer is used.

string

If true, match phrase queries are automatically created for multi-term synonyms. Defaults to true

float

Floating point number used to decrease or increase the relevance scores of the query. Defaults to 1.0.

string

Default boolean logic used to interpret text in the query. Possible values OR (default) and AND

string

If true, enable position increments in queries constructed from a query_string search. Defaults to true

fields
array of strings

Array of fields you wish to search. This field accepts wildcard expressions. You also can boost relevance scores for matches to particular fields using a caret (^) e.g. tile^2..

fields
string

Maximum edit distance allowed for matching. Possible values are: ONE, TWO, ZERO, AUTO

int32

Maximum number of terms to which the query expands for fuzzy matching. Defaults to 50.

int32

Number of beginning characters left unchanged for fuzzy matching. Defaults to 0.

boolean

If true, edits for fuzzy matching include transpositions of two adjacent characters (ab → ba). Defaults to true

boolean

If true, format-based errors, such as providing a text value for a numeric field, are ignored. Defaults to false.

int32

Maximum number of automaton states required for the query. Default is 10000.

string

Minimum number of clauses that must match for a document to be returned.

string

Analyzer used to convert quoted text in the query string into tokens. Defaults to the search_quote_analyzer mapped for the default_field.

int32

Maximum number of positions allowed between matching tokens for phrases. Defaults to 0. If 0, exact phrase matches are required. Transposed terms have a slop of 2.

string

Suffix appended to quoted text in the query string

string

Method used to rewrite the query. Posible values are: constant_score (Default), constant_score_boolean, scoring_boolean, top_terms_blended_freqs_N, top_terms_boost_N, top_terms_N

string

Coordinated Universal Time (UTC) offset or IANA time zone used to convert date values in the query string to UTC.

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json